Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# ActorInterval Class Reference

Inheritance diagram for ActorInterval:

List of all members.

## Public Member Functions
def | __init__
def | getCurrentFrame
def | privFinalize
def | privStep
def | resetControls
## Public Attributes
| actor
| animName
| constrainedLoop
| controls
| currT
| endFrame
| forceUpdate
| frameRate
| implicitDuration
| loopAnim
| numFrames
| playRate
| reverse
| startFrame
| state
## Static Public Attributes
int | animNum = 1
tuple | notify = directNotify.newCategory('ActorInterval')

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | actor,
|  |  | animName,
|  |  | loop = `0`,
|  |  | constrainedLoop = `0`,
|  |  | duration = `None`,
|  |  | startTime = `None`,
|  |  | endTime = `None`,
|  |  | startFrame = `None`,
|  |  | endFrame = `None`,
|  |  | playRate = `1.0`,
|  |  | name = `None`,
|  |  | forceUpdate = `0`,
|  |  | partName = `None`,
|  |  | lodName = `None`
| ) |  |

## Member Function Documentation

def getCurrentFrame | ( |  | self | ) |

    Calculate the current frame playing in this interval.

    returns a float value between startFrame and endFrame, inclusive
    returns None if there are any problems

def privFinalize | ( |  | self | ) |

Reimplemented from Interval.

def privStep | ( |  | self,
|  |  | t
| ) |  |

Reimplemented from Interval.

def resetControls | ( |  | self,
|  |  | partName,
|  |  | lodName = `None`
| ) |  |

## Member Data Documentation

actor

animName

int animNum = 1`[static]`

constrainedLoop

controls

currT

Reimplemented from Interval.

endFrame

forceUpdate

frameRate

implicitDuration

loopAnim

tuple notify = directNotify.newCategory('ActorInterval')`[static]`

Reimplemented from Interval.

numFrames

playRate

reverse

startFrame

state

Reimplemented from Interval.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties